#!/usr/bin/env python
#---------------------
# Plot anything, as long as it's in a two-column ASCII file
# EW Aug 2014 modified from SL 2010
#---------------------

import sys
import numpy as np
from pylab import figure, plot, subplot, xlabel, ylabel, legend, show, title

def plotdata(datafile):
    x,y=np.loadtxt(datafile, unpack=True)
    sp1=subplot(111)
    ylabel('ylabel [units]')
    xlabel('xlabel [units]')
    plot(x, y, label=datafile)


def main():
# the program name itself is sys.argv[0]
# so "datafiles" is a list of all the files given as arguments after the program name
    datafiles=sys.argv[1:] 
# always a good idea to include a usage message
    if len(sys.argv) == 1:
            print('Usage {0} <datafiles>'.format(sys.argv[0]))
            sys.exit(1)
    figure(figsize=(8,10))
# plot the data in each file
    for datafile in datafiles:
            plotdata(datafile)
    legend(loc='lower left', shadow=True, fancybox=True)
    title('Title')
# pylab won't show the plot until we say so
    show()


# If this program is called from the command line, run the main program
# Otherwise, we could import only certain parts of this script (like the plotdata function)
# and use them in another Python script!
if __name__ == "__main__":
    main()

